Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228985 - deskbar fails to load as tracker starts after deskbar-applet.
Summary: deskbar fails to load as tracker starts after deskbar-applet.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 11:53 UTC by ritz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-04 22:36:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 408669 None None None Never

Description ritz 2007-02-16 11:53:32 UTC
Description of problem:
deskbar fails to load as tracker starts after deskbar-applet.

Version-Release number of selected component (if applicable):
tracker-0.5.4-5.fc7
deskbar-applet-2.17.90-3.fc7

How reproducible:
always

Steps to Reproduce:
1. login
2. deskbar barfs

  
Actual results:
deskbar barfs

Expected results:
deskbar should wait for tracker to load, or start tracker service.

Additional info:
traceback attached below.

--------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/deskbar/ModuleLoader.py", line 157, in
load_all
    self.load (f)
  File "/usr/lib/python2.5/site-packages/deskbar/ModuleLoader.py", line 139, in load
    mod_instance = getattr (mod, handler) ()
  File "/usr/lib/deskbar-applet/handlers/tracker-handler.py", line 201, in __init__
    self.tracker =
bus.get_object('org.freedesktop.Tracker','/org/freedesktop/tracker')
  File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 410, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 230, in __init__
    _dbus_bindings.UInt32(0))
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 169, in __call__
    reply_message = self._connection.send_message_with_reply_and_block(message,
timeout)
DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process
/usr/bin/trackerd exited with status 0

Comment 1 Deji Akingunola 2007-03-04 22:36:41 UTC
It's been resolved upstream, see http://bugzilla.gnome.org/show_bug.cgi?id=408669.

Comment 2 ritz 2007-03-05 15:18:37 UTC
kool.  awaiting the latest version of tracker =P~


Note You need to log in before you can comment on or make changes to this bug.